Name:          guvcview
Version:       2.0.1
Release:       1mamba
Summary:       A simple GTK interface for capturing and viewing video from devices supported by the linux UVC driver
Group:         Graphical Desktop/Applications/Multimedia
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://guvcview.sourceforge.net/
Source:        http://downloads.sourceforge.net/project/guvcview/source/guvcview-src-%{version}.tar.gz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libatk-devel
BuildRequires: libavcodec-ffmpeg-devel
BuildRequires: libavutil-ffmpeg-devel
BuildRequires: libcairo-devel
BuildRequires: libgdk-pixbuf-devel
BuildRequires: libglib-devel
BuildRequires: libgtk-devel
BuildRequires: libpango-devel
BuildRequires: libpng-devel
BuildRequires: libportaudio-devel
BuildRequires: libpulseaudio-devel
BuildRequires: libSDL-devel
BuildRequires: libv4l-devel
BuildRequires: udev-devel
## AUTOBUILDREQ-END
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
A simple GTK interface for capturing and viewing video from devices supported by the linux UVC driver, although it should also work with any v4l2 compatible device.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n lib%{name}
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q -n %{name}-src-%{version}

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%find_lang %{name}
%find_lang gview_v4l2core

cat gview_v4l2core.lang >> %{name}.lang

rm -rf %{buildroot}%{_datadir}/doc/guvcview

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/guvcview
%{_datadir}/appdata/guvcview.appdata.xml
%{_datadir}/applications/guvcview.desktop
%{_datadir}/menu/guvcview
%dir %{_datadir}/pixmaps/guvcview
%{_datadir}/pixmaps/guvcview/*.png
%{_mandir}/man1/guvcview.1.gz

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libgviewaudio-1.0.so.*
%{_libdir}/libgviewencoder-1.0.so.*
%{_libdir}/libgviewrender-1.0.so.*
%{_libdir}/libgviewv4l2core-1.0.so.*
%doc AUTHORS COPYING

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/guvcview-2
%dir %{_includedir}/guvcview-2/libgviewaudio
%{_includedir}/guvcview-2/libgviewaudio/gviewaudio.h
%dir %{_includedir}/guvcview-2/libgviewencoder
%{_includedir}/guvcview-2/libgviewencoder/gviewencoder.h
%dir %{_includedir}/guvcview-2/libgviewrender
%{_includedir}/guvcview-2/libgviewrender/gviewrender.h
%dir %{_includedir}/guvcview-2/libgviewv4l2core
%{_includedir}/guvcview-2/libgviewv4l2core/gview.h
%{_includedir}/guvcview-2/libgviewv4l2core/gviewv4l2core.h
%{_libdir}/libgviewaudio.a
%{_libdir}/libgviewaudio.la
%{_libdir}/libgviewaudio.so
%{_libdir}/libgviewencoder.a
%{_libdir}/libgviewencoder.la
%{_libdir}/libgviewencoder.so
%{_libdir}/libgviewrender.a
%{_libdir}/libgviewrender.la
%{_libdir}/libgviewrender.so
%{_libdir}/libgviewv4l2core.a
%{_libdir}/libgviewv4l2core.la
%{_libdir}/libgviewv4l2core.so
%{_libdir}/pkgconfig/libgviewaudio.pc
%{_libdir}/pkgconfig/libgviewencoder.pc
%{_libdir}/pkgconfig/libgviewrender.pc
%{_libdir}/pkgconfig/libgviewv4l2core.pc

%changelog
* Thu Oct 16 2014 Automatic Build System <autodist@mambasoft.it> 2.0.1-1mamba
- automatic version update by autodist

* Thu May 15 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 1.7.3-2mamba
- ffmpeg 2.2 rebuild

* Wed Feb 19 2014 Automatic Build System <autodist@mambasoft.it> 1.7.3-1mamba
- automatic version update by autodist

* Thu Dec 12 2013 Automatic Build System <autodist@mambasoft.it> 1.7.2-1mamba
- automatic version update by autodist

* Mon Jul 22 2013 Automatic Build System <autodist@mambasoft.it> 1.7.1-1mamba
- automatic version update by autodist

* Mon Apr 15 2013 Automatic Build System <autodist@mambasoft.it> 1.7.0-1mamba
- automatic version update by autodist

* Sun Dec 23 2012 Automatic Build System <autodist@mambasoft.it> 1.6.1-1mamba
- automatic version update by autodist

* Fri Aug 03 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 1.6.0-1mamba
- package created by autospec
